Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(libpcre) python-devel
# END SourceDeps(oneline)
Name:		ceelog
Version:	0.1
Release:	alt1_4
Summary:	Tool for receiving, filtering and searching CEE/Lumberjack logs

License:	GPLv2
URL:		https://fedorahosted.org/ceelog
Source0:	https://fedorahosted.org/releases/c/e/ceelog/%{name}-%{version}.tar.xz
Patch0:		ceelog-0.1-crash-error-not-NULL.patch

BuildRequires:	glib2-devel
BuildRequires:	pcre-devel
BuildRequires:	libjson-devel
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}
Source44: import.info

%description
The ceelog project provides libceelog, a library for receiving, filtering
and searching a stream or log of CEE/Lumberjack syslog records, and
an associated command-line tool, named ceelog.

%package devel
Group: Other
Summary:	Development files for ceelog
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}

%description devel
Ceelog-devel package contains development libraries and header files for ceelog.

%package libs
Group: Other
Summary:	Libraries for ceelog

%description libs
Ceelog-libs package contains libraries for ceelog.


%prep
%setup -q
%patch0 -p1


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} INSTALL='install -p'
rm -f %{buildroot}%{_libdir}/*.{a,la}

%check
make check

%files
%doc AUTHORS COPYING README
%{_bindir}/ceelog

%files devel
%{_libdir}/*.so
%{_includedir}/ceelog/*.h

%files libs
%{_libdir}/*.so.*


%changelog
* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_4
- initial fc import

